# $Revision: 1.2 $, $Date: 2002/08/10 11:36:11 $
Summary:	Radiusclient library and tools
Summary(pl):	Biblioteka radiusclient oraz narzdzia
Name:		radiusclient
Version:	0.3.2
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.cityline.net/pub/radiusclient/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_ac.patch
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%description -l pl
Radiusclient jest zamiennikiem /bin/login wywoywanym przez getty
w celu umoliwienia uytkownikowi zalogowania si. Normalne programy
typu login sprawdzaj nazw uytkownika oraz haso wzgldem lokalnego
pliku (/etc/passwd, /etc/shadow). Radiusclient rwnie uywa protokou
RADIUS w celu autentyfikacji uytkownika.

%package devel
Summary:	Header files and development documentation for radiusclient
Summary(pl):	Pliki nagwkowe i dokumentacja do radiusclient
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for radiusclient.

%description devel -l pl
Pliki nagwkowe i dokumentacja do Radiusclient.

%package static
Summary:	Radiusclient static library
Summary(pl):	Statyczna biblioteka radiusclient
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Radiusclient static library.

%description static -l pl
Statyczna biblioteka Radiusclient.

%prep
%setup -q
%patch0 -p1

%build
rm -rf missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shadow \
	--enable-scp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README* doc/*.html
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*

%dir %{_sysconfdir}/radiusclient
%attr(750,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/radiusclient/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: radiusclient.spec,v $
Revision 1.2  2002/08/10 11:36:11  kloczek
- "rm -f missing" on top %build.

Revision 1.1  2002/08/10 11:20:40  misiek
- initial pld release

